<script setup lang="ts">
import { ref } from 'vue'

const search = ref('')
const months = ref([
  'All',
  'January',
  'February',
  'March',
  'April',
  'May',
  'June',
  'July',
  'August',
  'September',
  'October',
  'November',
  'December'
])
const value = ref('')

function onClick() {}
</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="5">
        <v-text-field
          v-model="search"
          density="compact"
          variant="solo"
          label="Search"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-col>
      <v-col cols="3">
        <v-combobox v-model="value" :items="months" density="compact" label="Month"></v-combobox>
      </v-col>
    </v-row>
  </v-container>
</template>
